-- luacheck: globals Character Timer Hook SERVER CLIENT
-- if not SERVER then return end
local amountExperience = 6000
local passiveExperienceDelay = 60
local passiveExperienceTimer = 0

Hook.Add("think", "examples.passiveExperience", function()
	if Timer.GetTime() < passiveExperienceTimer then return end

	for _, v in pairs(Character.CharacterList) do
		if not v.IsDead and v.Info ~= nil then
			v.Info.GiveExperience(amountExperience)
		end
	end

	passiveExperienceTimer = Timer.GetTime() + passiveExperienceDelay
end)
